%define upstream_name    Captcha-reCAPTCHA
%define upstream_version 0.97

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A Perl implementation of the reCAPTCHA API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Captcha/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Tiny) >= 0.904.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
reCAPTCHA is a hybrid Mechanical Turk and CAPTCHA that allows visitors who
complete the captcha to assist in the digitization of books.

From http://recaptcha.net/learnmore.html:

    reCAPTCHA improves the process of digitizing books by sending words that
    cannot be read by computers to the Web in the form of CAPTCHAs for
    humans to decipher. More specifically, each word that cannot be read
    correctly by OCR is placed on an image and used as a CAPTCHA. This is
    possible because most OCR programs alert you when a word cannot be read
    correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.970.0-12.mga10
+ Revision: 2197729
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.970.0-11.mga9
+ Revision: 1802148
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.970.0-10.mga8
+ Revision: 1492987
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.970.0-9.mga7
+ Revision: 1265936
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.970.0-8.mga6
+ Revision: 1022833
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.970.0-7.mga6
+ Revision: 935629
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.970.0-6.mga5
+ Revision: 750470
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.970.0-5.mga5
+ Revision: 732838
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.970.0-4.mga5
+ Revision: 683736
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.970.0-3.mga4
+ Revision: 509581
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 363775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 314858
- update to 0.97

* Mon Oct 01 2012 jquelin <jquelin> 0.960.0-1.mga3
+ Revision: 301257
- update to 0.96

* Wed Aug 29 2012 kharec <kharec> 0.950.0-1.mga3
+ Revision: 285144
- update to 0.95

* Sun Jan 23 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 33618
- mageia rebuild
- imported package perl-Captcha-reCAPTCHA

